Listar execuções de um projeto
curl --request GET \
--url https://api.olie.ai/api/management/projects/{project}/project-executions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.olie.ai/api/management/projects/{project}/project-executions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.olie.ai/api/management/projects/{project}/project-executions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"response": true,
"meta": {
"current_page": 1,
"from": 1,
"last_page": 1,
"per_page": 30,
"to": 2,
"total": 2
},
"project_executions": [
{
"id": "a14afcbd-38b1-4b97-8950-02c09547611a",
"project_id": "019e0edb-aa7c-70c4-9d2d-3a2f175b5ddf",
"user_id": "019c1e87-63f4-71dd-a4e3-6eaea0619c2f",
"funnel_step_id": 181,
"started_at": "2026-08-19T13:05:00.000000Z",
"finished_at": "2026-08-19T14:47:12.000000Z",
"hourly_rate": 85,
"finished_reason": "self_stop",
"started_at_real": null,
"finished_at_real": null,
"project": {
"id": "019e0edb-aa7c-70c4-9d2d-3a2f175b5ddf",
"code": "SC-1",
"name": "Shopping Center",
"is_template": false,
"deleted_at": null
},
"user": {
"id": "019c1e87-63f4-71dd-a4e3-6eaea0619c2f",
"name": "Ana Souza",
"avatar_url": null
},
"funnel_step": {
"id": 181,
"name": "Execução",
"project_funnel_id": 36,
"funnel": {
"id": 36,
"name": "Obras"
}
}
},
{
"id": "a14afbe7-d2bc-4821-9c2b-7ce295f8a962",
"project_id": "019e0edb-aa7c-70c4-9d2d-3a2f175b5ddf",
"user_id": "019c1e87-63f4-71dd-a4e3-6eaea0619c2f",
"funnel_step_id": 181,
"started_at": "2026-08-18T09:12:44.000000Z",
"finished_at": "2026-08-18T11:30:00.000000Z",
"hourly_rate": 85,
"finished_reason": "step_moved",
"started_at_real": null,
"finished_at_real": null,
"project": {
"id": "019e0edb-aa7c-70c4-9d2d-3a2f175b5ddf",
"code": "SC-1",
"name": "Shopping Center",
"is_template": false,
"deleted_at": null
},
"user": {
"id": "019c1e87-63f4-71dd-a4e3-6eaea0619c2f",
"name": "Ana Souza",
"avatar_url": null
},
"funnel_step": {
"id": 181,
"name": "Execução",
"project_funnel_id": 36,
"funnel": {
"id": 36,
"name": "Obras"
}
}
}
]
}projects
Listar execuções de um projeto
Lista as execuções registradas em um projeto, com paginação. Aceita recortes por pessoa, por etapa e por período, e ordenação por início ou término.
Consulte Filtro básico e Paginação.
GET
/
api
/
management
/
projects
/
{project}
/
project-executions
Listar execuções de um projeto
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID (UUID) do projeto.
Query Parameters
Página desejada. Padrão 1.
Itens por página. Padrão 30, máximo 100.
ID (UUID) do usuário dono das execuções.
ID da etapa do funil em que a execução ocorreu.
Retorna execuções iniciadas nesta data ou depois dela.
Retorna execuções encerradas nesta data ou antes dela.
true retorna apenas as execuções em andamento; false, apenas as encerradas.
Ordenação por started_at ou finished_at. Use - antes do campo para ordem decrescente.
Was this page helpful?